Bug 1038562 - Provide a restricted page editor
Summary: Provide a restricted page editor
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: DR01
: 6.2.0
Assignee: Lucas Ponce
QA Contact: vramik
URL:
Whiteboard:
Depends On:
Blocks: 1072181
TreeView+ depends on / blocked
 
Reported: 2013-12-05 10:53 UTC by Martin Weiler
Modified: 2018-01-30 01:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
A customer requested the functionality to be able to control which users can perform certain operations when adding new pages or editing existing pages. To implement the request, two new kinds of permissions (Move Apps and Move Containers) applicable to Sites, Pages and Containers were added. Portal owners have fine-grained control over edit operations on Sites and Pages.
Clone Of:
: 1072181 (view as bug list)
Environment:
Last Closed:
Type: Feature Request


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker GTNPORTAL-3263 Major Resolved "Restricted" page editor 2014-08-04 16:46:08 UTC

Description Martin Weiler 2013-12-05 10:53:21 UTC
Description of problem:
Request to provide a restricted/simplified page editor. Using this editor, it should not be able to compose complex pages and risk to break the layouts. The layouts should be restricted to what is available from the "Containers" tab of the editor.

In particular the 2 following scenarios should not be possible:

Scenario 1: User should not be able to put an application above/below the 2 column layout (As this break the pre-defined layouts, suddenly the user is able to have a single column representation while this may not have been provided):

Scenario 2: User should not be able to put a layout within a layout (only above or below existing ones)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use Page Editor
2. Try to put applications or layout containers in between other containers

Actual results:
It is possible to place components between existing containers

Expected results:
Components should only be allowed to be added to existing containers

Additional info:
https://community.jboss.org/wiki/RestrictedPageEditor

Comment 4 vramik 2014-04-29 12:32:44 UTC
Verified in DR01

Comment 5 Jared MORGAN 2014-05-13 00:21:47 UTC
(In reply to Peter Palaga from comment #3)
> Community docs updated:
> https://docs.jboss.org/author/display/GTNPORTAL38/Permissions
> https://docs.jboss.org/author/display/GTNPORTAL38/Manage+Permissions

Noted these in the Docs Cloned Ticket. Thanks Peter.


Note You need to log in before you can comment on or make changes to this bug.